cudaExtent
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaExtent

    java.lang.Object
      jcuda.runtime.cudaExtent

    public class cudaExtent

extends java.lang.Object

Java port of a cudaExtent.

See Also:
  `JCuda.cudaMalloc3D(jcuda.runtime.cudaPitchedPtr, jcuda.runtime.cudaExtent)`, `JCuda.cudaMemset3D(jcuda.runtime.cudaPitchedPtr, int, jcuda.runtime.cudaExtent)`, `JCuda.cudaMalloc3DArray(jcuda.runtime.cudaArray, jcuda.runtime.cudaChannelFormatDesc, jcuda.runtime.cudaExtent)`

Field Summary
`long` | `depth` The depth of this cudaExtent
`long` | `height` The height of this cudaExtent
`long` | `width` The width of this cudaExtent

Constructor Summary
`cudaExtent()` Creates a new cudaExtent with all-zero sizes
`cudaExtent(int width, int height, int depth)` Creates a new cudaExtent with the given sizes

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### width

    public long width

  The width of this cudaExtent

### height

    public long height

  The height of this cudaExtent

### depth

    public long depth

  The depth of this cudaExtent

Constructor Detail

### cudaExtent

    public cudaExtent()

  Creates a new cudaExtent with all-zero sizes

### cudaExtent

    public cudaExtent(int width,
                      int height,
                      int depth)

  Creates a new cudaExtent with the given sizes

  Parameters:
    `width` - The width of the cudaExtent
    `height` - The height of the cudaExtent
    `depth` - The depth of the cudaExtent

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD